from django import template
from django.template.defaultfilters import stringfilter

register = template.Library()

def pass_rate_color(value):
    """Colouring for pass rates based on css classes"""
    if value > 0.97:
        return "green"
    elif value > 0.6:
        return "yellow"
    else:
        return "red"

register.filter('pass_rate_color', pass_rate_color)
